Package org.etsi.uri._01903.v1_3

# Class SignaturePolicyIdentifier

java.lang.Object
org.etsi.uri._01903.v1_3.SignaturePolicyIdentifier

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SignaturePolicyIdentifier extends Object implements Serializable

Java class for SignaturePolicyIdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignaturePolicyIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="SignaturePolicyId" type="{http://uri.etsi.org/01903/v1.3.2#}SignaturePolicyIdType"/>
             <element name="SignaturePolicyImplied" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignaturePolicyIdentifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignaturePolicyIdType`
  `getSignaturePolicyId()`
  Gets the value of the signaturePolicyId property.
  `Object`
  `getSignaturePolicyImplied()`
  Gets the value of the signaturePolicyImplied property.
  `void`
  `setSignaturePolicyId(SignaturePolicyIdType value)`
  Sets the value of the signaturePolicyId property.
  `void`
  `setSignaturePolicyImplied(Object value)`
  Sets the value of the signaturePolicyImplied property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignaturePolicyIdentifier

    public SignaturePolicyIdentifier()

- ## Method Details

  - ### getSignaturePolicyImplied

    public Object getSignaturePolicyImplied()
    Gets the value of the signaturePolicyImplied property.
    Returns:
      possible object is `Object`

  - ### setSignaturePolicyImplied

    public void setSignaturePolicyImplied(Object value)
    Sets the value of the signaturePolicyImplied property.
    Parameters:
      `value` - allowed object is `Object`

  - ### getSignaturePolicyId

    public SignaturePolicyIdType getSignaturePolicyId()
    Gets the value of the signaturePolicyId property.
    Returns:
      possible object is `SignaturePolicyIdType`

  - ### setSignaturePolicyId

    public void setSignaturePolicyId(SignaturePolicyIdType value)
    Sets the value of the signaturePolicyId property.
    Parameters:
      `value` - allowed object is `SignaturePolicyIdType`